Subject: Re: [arch-d] Call for Comment: <draft-iab-for-the-users-02> (The Internet is for End Users)

From: Michael StJohns <[email-masked]>
Date: Wed, 5 Feb 2020 18:19:32 -0500

On 2/5/2020 5:48 PM, IAB Executive Administrative Manager wrote:
> This is an announcement of an IETF-wide Call for Comment on
> draft-iab-for-the-users-02.
>
> The document is being considered for publication as an Informational RFC
> within the IAB stream, and is available for inspection at:
> <https://datatracker.ietf.org/doc/draft-iab-for-the-users/>
>
> The Call for Comment will last until 2020-03-04. Please send comments to
> [email-masked] and [email-masked].
>
> Abstract:
>
>     This document explains why the IAB believes the IETF should consider
>     end users as its highest priority concern, and how that can be done.
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce

Does this document represent an IAB consensus/aspiration or is this Mark 
writing as an IAB member?

If the former, Mark should be listed as Editor, and the document should 
include text indicating how the IAB arrived at consensus (e.g. "This 
document represents the consensus of the IAB arrived at through 
(internal discussions | discussions with the community | workshop 
results | etc) " ).   If the latter, the document should indicate "This 
document represents the author's personal opinion".

Later, Mike

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 5 Feb 2020 23:30:56 +0000

Hi Mike,

> document represents the author's personal opinion".

I don't recall other documents being as formal as that
about it, but sure, if/when the IAB decide to publish
this after community comment then it could be clearer
that it's an IAB document, e.g. by having Mark as editor
as you suggest. That it is an IAB document seems fairly
clear to me from the filename and from the IAB adoption
call etc. that was sent to this list back last June/July,
but I guess that's a while back.

Cheers,
S.

> Architecture-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/architecture-discuss

---

From: Rob Sayre <[email-masked]>
Date: Wed, 5 Feb 2020 16:04:03 -0800

> document represents the author's personal opinion".

Are there competing opinions on the IAB?

"The Internet is not for End Users" ?
"The Internet is for Network Operators" ?

thanks,
Rob

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 5 Feb 2020 19:24:19 -0500

I find this document very frustrating.

The explicit recommendations seem reasonable.

But the underlying tone that the End User concerns should take 
precedence over everything else seems to be incorrect.  And therefore 
the initial tone seems to send the wrong message.

To provide several examples, the Internet is "for" many participants. 
It is for the folks offering services over the Internet.  It is for the 
many sensors and small devices which are expected to outnumber human 
users by a significant margin in the near term.  It is "for" the folks 
who run it, as if they can not operate the network then it won't do 
anyone else any good.

I believe many of these concerns were raised by other people during 
earlier discussions of the document.  Assuming efforts were made to 
address those concerns, the changes seem to me to be insufficient.

Yours,
Joel

---

From: Bernard Aboba <[email-masked]>
Date: Wed, 5 Feb 2020 17:34:08 -0800

There are a number of ways to interpret this IAB draft. If one looks at it as a refutation of David Clark’s “Tussle” work (see: https://www.researchgate.net/publication/2868953_Tussle_in_Cyberspace_Defining_Tomorrow's_Internet) then Joel’s frustrations follow naturally. 

Personally, I hope the goal of the document is not to referee the “Tussle” by declaring the user as the official winner. That would be silly, if only because such a declaration would not help “the user” or any other “Tussle” participant. 

So I choose to see the draft’s contribution as pointing out IoT challenges compared with trends in the mobile and web application space (e.g. no permission model or “app store” rules limiting the damage that can be done by badly implemented or malicious devices). 

Given these widely varying reactions, the document seems like it could use a good edit to strengthen the impact of its main points.

> On Feb 5, 2020, at 4:24 PM, Joel M. Halpern <[email-masked]> wrote:
> 
> But the underlying tone that the End User concerns should take precedence over everything else seems to be incorrect.  And therefore the initial tone seems to send the wrong message.
> 
> To provide several examples, the Internet is "for" many participants. It is for the folks offering services over the Internet.  It is for the many sensors and small devices which are expected to outnumber human users by a significant margin in the near term.  It is "for" the folks who run it, as if they can not operate the network then it won't do anyone else any good.
> 
> I believe many of these concerns were raised by other people during earlier discussions of the document.  Assuming efforts were made to address those concerns, the changes seem to me to be insufficient.
> 
> Yours,
> Joel
>

---

From: Keith Moore <[email-masked]>
Date: Wed, 5 Feb 2020 20:43:07 -0500

I'm generally ok with the document as written.   But I wonder if (in 
spite of its long history), it doesn't go far enough.   In particular it 
doesn't provide many examples of users' interests like privacy, 
security, reliability, maintainability, supportability, ease of use, 
platform-independence, etc.

The example cited in 4.2 of web browsers having multiple interoperable 
implementations, while somewhat true, seems like a poor one - since 
there seem to be a dearth of independent implementations that are usable 
and actively maintained.   The web has become so complex that a 
reasonably complete implementation is daunting and even Microsoft has 
given up trying to maintain its own.   The very widespread disregard for 
users' privacy on today's web seems to indicate that the web has not 
evolved to favor the interests of end users.   The demands of 
content-providers, rather than those of users, seem to have dictated the 
limitations of the current web, and efforts to reduce users' privacy 
risks seem like a drop in the bucket.

A few additional nits:

    In these situations, when one of those parties is an "end user" of
    the Internet - for example, a person using a Web browser, mail
    client, or another agent that connects to the Internet - the Internet
    Architecture Board argues that the IETF should favor their interests
    over those of parties.

s/those of parties/those of other parties/

    In this document, "end users," means non-technical users whose
    activities IETF standards are designed to support, sometimes
    indirectly.

s/non-technical users/non-technical human users/

---

From: Michael StJohns <[email-masked]>
Date: Wed, 5 Feb 2020 21:25:22 -0500

On 2/5/2020 7:04 PM, Rob Sayre wrote:
>
>
> On Wed, Feb 5, 2020 at 3:20 PM Michael StJohns <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     > [email-masked]
>     <mailto:[email-masked]> and [email-masked]
>     <mailto:[email-masked]>.
>     >
>     > Abstract:
>     >
>     > [email-masked] <mailto:[email-masked]>

Hi Rob -

You may have an assumption that differs from mine to whit:   "All 
documents published in the IAB stream represent IAB consensus" vs "A 
document in the IAB stream can originate from the IAB as an IAB 
consensus document, or from individuals within the IAB or from others 
that have information that the IAB that believes is important enough to 
bring to the attention of the community but that might not be more 
appropriate for one of the other streams".   My assumption is the 
latter.  The IAB has ... less? different? ... rules with respect to what 
gets published than the IETF stream, the IRTF stream or the ISE stream.  
I assume an IAB consensus on publication, not necessarily a consensus of 
the content of the document.  I also assume that what the IAB finds 
important may differ from what the IESG/IETF/IRTF or ISE might consider 
important - at least at the time of publication.

For example - this could have been the first of two documents from the 
IAB - one supporting the proposition, and one arguing against.  Or even 
three - the third with some sort of synthesis of the two.  In 
otherwords, a discussion of architecture.

Hence the question of provenance.

Later, Mike

---

From: Michael StJohns <[email-masked]>
Date: Wed, 5 Feb 2020 22:06:27 -0500

On 2/5/2020 7:01 PM, Stephen Farrell wrote:
> Hiya,
>
> On 05/02/2020 23:51, Michael StJohns wrote:
>> On 2/5/2020 6:30 PM, Stephen Farrell wrote
>>> I don't recall other documents being as formal as that about it,
>>> but sure, if/when the IAB decide to publish this after community
>>> comment then it could be clearer that it's an IAB document, e.g. by
>>> having Mark as editor as you suggest. That it is an IAB document
>>> seems fairly clear to me from the filename and from the IAB
>>> adoption call etc. that was sent to this list back last June/July,
>> Um.. yes, I know it's an IAB stream document - which does not
>> necessarily imply that it is a consensus document of the entire IAB.>
>> And going back and re-reading the announcement, it looks too much
>> like a last call request rather than a call for "help us make the
>> document better".Â Â Â  I'm not sure why anyone would assume that the
>> IAB hadn't yet decided to publish it or something very like it.
> Well, to be fair, there was a public call for comment
> before the IAB adopted this.

OK - then you're NOT asking for discussion on whether to publish?  :-)   
No worries - I can work with either.

>
>> As far as I can tell from the published RFC's - documents that
>> represent IAB consensus on a policy matter are mostly published as
>> "Editor"Â  and have something that identifies how you got there: E.g.
>> RFC8558 had Ted as editor and included this in the status:
>>
>>> This document is a product of the Internet Architecture Board
>>> (IAB) and represents information that the IAB has deemed valuable
>>> to provide for permanent record.  It represents the consensus of
>>> the Internet Architecture Board (IAB).  Documents approved for
>>> publication by the IAB are not candidates for any level of
>>> Internet Standard; see Section 2 of RFC 7841.
>> Documents that are more "spec"ish (i.e. the RFC v3 format) either
>> have an editor or a technical expert as the author.Â Â  And even then
>> you get the same statement - seeÂ RFC8546 and 8700
>>
>> Those are the last three IAB stream documents published.Â Â  Going
>> back further a "tech"ish document omitted the "Consensus of the IAB"
>> statement - RFC6574 - simply a report from a workshop.
>>
>> That being said, these are all statements in the status section
>> which will be different from the ID to the RFC.
> Yep, the above seems (to me) like a good comment that could
> be handled without having to invent some new strict process
> for IAB stream document boilerplate - I'd hope that some
> variation in how these things are presented/worded is ok.

I think that it needs to be brought forward to the ID in some form - or 
it needs to be included in the call for comments. Somewhere before the 
RFC editor gets it.

>
>> It would be
>> useful for a policy document (I use the term "policy" loosely here)
>> to have that consensus statement be made somewhere.Â  Mostly in other
>> documents its pretty clear how we got there - some event, some
>> workshop, some question asked at a plenary that's being answered.
>>
>> Here - I'm not sure what triggered the IAB into writing it and
>> worse, I'm not sure what affect you want it to have on the formal
>> IETF processes.Â  Context would be good, actionable recommendations
>> would be better.
> That (the question of effects) seems like a separate
> point. Surely section 4 of the draft is all about
> actionable recommendations though so I'm a bit confused
> as to what you mean?

The key word is "actionable".    I went back and re-read section 4 and 
what I got was aspirational rather than actionable.

4.1. comes closest to actionable with the "hold a co-located workshop" 
comment.  And even that is kind of weak.  More along the lines of "To 
husband this process of getting community buy-in we've asked ISOC to 
work with us to create workshops for the next N ISOC meetings with each 
of those workshops targeted at one of these communities.  The IAB will 
provide an overview of the IETF process, near future architecture 
changes and challenges, and how non-participation by that community 
might result in an architecture which does not meet their needs.   We 
will then solicit involvement in an IAB sponsored workshop retreat whose 
output shall be a community centric set of guidelines that will be 
presented to the IETF community for possible inclusion in the standards 
process" -  or something like that.

I have no idea of what "We should also create explicit...." means in 
section 4.2.    If feels like a bit of a non sequitur here.  In any 
event, browsers are not protocols.  The underlying protocols evolved to 
meet functional and the browsers evolved GUI needs. Discussing HTTP and 
HTML evolution rather than browsers in this section might be more 
appropriate and more on point for the IETF. Then we can talk about how 
that maps to the IOT space and what we/IAB/IETF can do about it.

In 4.3 "Negative impact on users" not being defined limits defining 
useful actions.   At least consider how you might measure those impacts 
in a relatively objective way.  Maybe reach out to someone like KC for 
help in identifying ways to do those measurements.   If it can't be 
measured, then it's going to revert to politics and money.

4.4 seems to be a restatement of the Prisoner's dilemma problem in some 
form.    E.g. how do you identify and balance costs to entities that 
might not have any reason to cooperate?

4.5 mostly deprioritizes the value of the work product of the standards 
writers vs the "needs of end users".  Basically, this doesn't meet the 
financial needs test.  Unless you're having the end users compensate the 
writers/implementers in some manner, there is little incentive to put 
their needs ahead of the writers.   At best, you can say that when 
choosing between two equally costly choices, you should pick the one 
that least impacts the end user - again - if you can identify that impact.

Later, Mike

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Thu, 6 Feb 2020 17:14:52 +0700

Dear architecture-discuss,

Concerning with section 4.1. of the draf "Engaging with Internet Community"
may the "free" collecting of readings I am making inspire minds related
with such a greater networked communities of reading, a greater networked
libraries... (Minds which are perhaps about user-based interest groups,
pedagogy of networks, savant networkers...?)

I am "freely" collecting, among others, informational sources on how The
Internet (Engineering Task Force) is about Society, Technology and Policy
(1):

***###

The Internet: Society, Technology and Policy

A current situation of the Internet is among others about "society",
"technology" and "policy" as it is shown by "2019 ISOC Global Internet
Report Consolidation in the Internet Economy" especially section "Takeaways
& Observations: Responses to Consolidation" pointing to "Examples of
government responses", "Examples of responses from other stakeholders" and
a question "Will governance efforts remain siloed"? (pp. 51-7)

https://future.internetsociety.org/2019/wp-content/uploads/sites/2/2019/04/InternetSociety-GlobalInternetReport-ConsolidationintheInternetEconomy.pdf

The Internet (Engineering Task Force): Society, Technology and Policy

I finded it out the IETF Journal: "IETF News: Integrating The Worlds of
Technology Design and Policy"
By: Dilawar Grewal PhD, Date: July 6 2016

RFC 3935-The mission Statement of the IETF said that high quality, relevant
technical documents produced by the IETF to make the Internet works better
are meant to “…influence the way people design, use, and manage the
Internet,” alludes to things other than just technical standards. Use and
management are often related to things like policies, the human factor,
behaviors, rights, acceptability, implementation criteria and protocols,
and even politics. It is in this context that this paper explores the IETF
experience for participants in the Internet Society Fellowship to the IETF
Programme".

https://www.ietfjournal.org/integrating-the-worlds-of-technology-design-and-policy/

Another article "IETF News: Internet Regulators, Technologists Seek Ongoing
Dialogue"
By: Carolyn Duffy Marsan, Date: July 6, 2016

"The Internet Society should continue to foster dialogue between Internet
policymakers and IETF technologists with the goal of creating a more open
and secure Internet. That was the consensus of an Internet
Society-sponsored panel discussion held in Buenos Aires during IETF 95
entitled, Public Policy and Internet Technology Development".

https://www.ietfjournal.org/internet-regulators-technologists-seek-ongoing-dialogue/

...
...
...

"IETF NEWS: ISOC Panel Addresses Regulation, Innovation, and the Internet"
By: Carolyn Duffy Marsan, Date: October 6, 2011

"What will drive the Internet’s evolution in the future: market forces or
government regulation? This was the topic debated by a panel of experts at
an Internet Society-sponsored luncheon held in Quebec City in conjunction
with the IETF 81 meeting.

Panelists, including experts from across the IETF community, predicted a
future of increasing regulation given how the Internet has become critical
infrastructure for both government and industry.

...".

https://www.ietfjournal.org/isoc-panel-addresses-regulation-innovation-and-the-internet/

***###

Note:

(1) It is in the "Internet Society Open Forum Library" I am making the
"free" collection beginning with Manuel Catells" "Informationalism,
Technology and Network Society", mediated by the ITU of the UN Report
"...Leveraging Tech... and 2019 ISOC Global Internet Report especially of
"Responses to Consolidation" looking at governments' and other stake
holders' "Responses to Consolidation".

Accessing the library needs an ISOC membership account as I knows it

https://connect.internetsociety.org/viewdocument/informationalism-technology-and-ne?CommunityKey=3a9fa082-a518-475d-9e7f-ecec4ffe56dd&tab=librarydocuments#ItemCommentPanel

Regard,
Guntur Wiseno Putra

Pada Kamis, 06 Februari 2020, Michael StJohns <[email-masked]>
menulis:

> I think that it needs to be brought forward to the ID in some form - or it
> needs to be included in the call for comments.  Somewhere before the RFC
> editor gets it.
>
>
> It would be
> husband this process of getting community buy-in we've asked ISOC to work
> with us to create workshops for the next N ISOC meetings with each of those
> workshops targeted at one of these communities.  The IAB will provide an
> overview of the IETF process, near future architecture changes and
> challenges, and how non-participation by that community might result in an
> architecture which does not meet their needs.   We will then solicit
> involvement in an IAB sponsored workshop retreat whose output shall be a
> community centric set of guidelines that will be presented to the IETF
> community for possible inclusion in the standards process" -  or something
> like that.
>
> section 4.2.    If feels like a bit of a non sequitur here.  In any event,
> browsers are not protocols.  The underlying protocols evolved to meet
> functional and the browsers evolved GUI needs.  Discussing HTTP and HTML
> evolution rather than browsers in this section might be more appropriate
> and more on point for the IETF.  Then we can talk about how that maps to
> the IOT space and what we/IAB/IETF can do about it.
>
> In 4.3 "Negative impact on users" not being defined limits defining useful
> actions.   At least consider how you might measure those impacts in a
> relatively objective way.  Maybe reach out to someone like KC for help in
> identifying ways to do those measurements.   If it can't be measured, then
> it's going to revert to politics and money.
>
> form.    E.g. how do you identify and balance costs to entities that might
> not have any reason to cooperate?
>
> writers/implementers in some manner, there is little incentive to put their
> needs ahead of the writers.   At best, you can say that when choosing
> between two equally costly choices, you should pick the one that least
> impacts the end user - again - if you can identify that impact.
>
>
> Later, Mike
>
>
>
> Cheers,
> S.
>
>
> Later, Mike
>
>
>
>
>
>
>
>
>

---

From: Eliot Lear <[email-masked]>
Date: Thu, 6 Feb 2020 12:01:40 +0100

Hi Mike,

> 
> Does this document represent an IAB consensus/aspiration or is this Mark writing as an IAB member?
> 
> If the former, Mark should be listed as Editor, and the document should include text indicating how the IAB arrived at consensus (e.g. "This document represents the consensus of the IAB arrived at through (internal discussions | discussions with the community | workshop results | etc) " ).   If the latter, the document should indicate "This document represents the author's personal opinion”.

I think you have the wrong end of the stick on this one.  If those on the top material wrote the vast majority, there is not a need to claim only editorship.  The boilerplate at the front of the document makes it clear whether or not the document represents IAB consensus (see RFC 7841).

This is as it should be.  Otherwise we are speaking in codes that people outside the club will not understand, and they have a hard enough time as is.

Eliot

---

From: Vittorio Bertola <[email-masked]>
Date: Thu, 6 Feb 2020 12:04:58 +0100 (CET)

Il 06/02/2020 02:43 Keith Moore <[email-masked]> ha scritto:

I'm starting from this because this is one of the comments which I have been making since -00, which was openly including commercial corporations as "end users". Definitions are really important when you adopt policy guidelines like this one, so it must be 101% clear that "end users" only includes individual human beings (though, as correctly said in the document, they can be connected to the Internet indirectly or represented by a piece of hardware or software).

(By the way - almost 20 years ago, when I was writing a presentation for ICANN's At Large Advisory Committee, my native spellchecker Avri Doria suggested that I should always hyphenate "end-user", because my title "End user involvement in ICANN" could otherwise be interpreted in a completely different way :-) I think this is still a valid suggestion.)

This is also why, in 3., the sentence "along with groups of them forming businesses, governments, clubs, civil society organizations, and other institutions" is problematic: what do you want to say here? If it is just that human beings form organizations, that's obvious; but if you say that all these entities are also end-users, this makes the document mostly useless, as in the end every stakeholder would be an end-user. This is why in general purpose policy systems, e.g. general elections, only individuals vote, and do so as individuals - their associations participate in other ways (i.e. specialized consultations, funding, lobbying etc.).

A similar problematic term is "social good", used several times. The document seems to assume that "social good" is something that exists and can be defined uniquely - however, all modern Western governance systems are based on the assumption that there is not a single definition of "social good" agreed by everyone. The problem is not how to assess what the "social good" is in a given situation, but to balance multiple conflicting visions of what the "social good" would be.

There are other visions; for example, the Chinese government is defining what actions are socially good or bad and giving scores to people (see
https://en.wikipedia.org/wiki/Social_Credit_System ). This is an attempt to define "social good" in a generally agreed, unique and objective way, and to make sure that people act "for the social good", but while this approach is culturally fit for collectivist societies like the Far Eastern ones, in individualist societies like the Western ones it horrifies people.

So while the ambition of "doing the right thing" is of course much welcome, perhaps this point needs to be nuanced, recognizing that often there will be different visions of what is "socially good" for the end-users, and mediation will be more useful than spending months arguing against each other on what really constitutes the social good.

This is also why I still find the start of page 6 problematic:

Government representatives sometimes participate in the IETF community. While this is welcome, it should not be taken as automatically representative of end users elsewhere, or even all end users in the relevant jurisdiction. Furthermore, what is desirable in one jurisdiction (or at least to its administrators) might be detrimental in others (see Section 4.4).

While some civil society organisations specialise in technology and Internet policy, they typically do not have the capacity to participate broadly, nor are they necessarily representative of the larger Internet community. Nevertheless, their understanding of end user needs is often profound, and they are in many ways the most representative advocates for end user concerns; they should be considered a primary channel for engaging the broader Internet community.

A promising approach to help fill these gaps is to identify and engage with specifically affected communities; for example, one or more industry associations, user groups, or a set of individuals, though we can't of course formally ensure that they are appropriately representative.

You are welcome to say that governments should not be the only ones to decide - indeed, that is the result of 20 years of conceptualization around multistakeholderism. However, we have now moved into the "digital sovereignty" age and many, outside of the US and China, are encouraging their governments to step back in and defend the rights of their citizens against the increasing centralization, commercialization and "surveillance-ization" of the Internet, and against its use as a global trade war instrument. Anything the IAB says on this will be taken as a position in this geopolitical debate.

In this context, the repeated use of the word "representative" throughout the section is highly problematic, as representing people is the government's job, not civil society's job, and even multistakeholderism does not say that the roles have to be mixed or changed, only that multiple stakeholders should participate in the debate and that the debate should aim to promote rough consensus among stakeholders so that they voluntarily implement it in their respective roles. But no one ever challenged the fact that governments are representative or that they have the last word when it comes to law and public policy, much like corporations have the last word when it comes to their actions and so on.

So the IAB should just align with the existing framework and say the same thing (i.e., we must listen to all stakeholders and not only governments) without challenging the role of governments and without ranking which stakeholder is more important (so no "primary channel" please).

Similarly, again (it must be the third time I say this), the "web browsers" paragraph in 4.2 is undemonstrated and inappropriate.

For example, one of the most successful Internet applications is the Web. One of its key implementation roles is that of the Web browser - called the User Agent in [RFC7230] and other specifications. Because there are multiple interoperable implementations, users can switch with relatively low costs, and as a result there is a natural tendency to more carefully consider the user's needs as an agent. This leads to Web browsers' interests being better aligned with those of their users, creating an ecosystem that is more user-focused (even if there are serious challenges in it regarding the balance of power between implementations and the barrier to entry for new implementations).

It is the legitimate perception of the author that web browser makers represent user interests well, but it is not that of many others, and I do not know of any objective analysis or data around this statement (nor one is provided in the text). Many would rather say that browsers are one of the applications where users have less choice and less controlling power, since you can switch between different implementations but there are very few of them and all are very similar. You have much more choice and variety in terms of email clients, but does this really mean that email client makers are great at representing the users?

So this paragraph sounds to me like gratuitous flattering of a part of the IETF community, and implicitly also gratuitous disapproval towards other parts of the IETF community that in the author's opinion have not been as good as browsers towards the users.

If the point is that open interoperable standards (and open source implementations, I'd add) are in favour of users, let's make that one, though a mention of the phenomenon of open standards being used to implement walled gardens would also make sense, to note that open standards alone are not enough. But let's not single out anyone.

Also, regarding the "body of guidance":

The IAB and IETF have already established a body of guidance for situations where this sort of conflict is common, including (but not limited to) [RFC7754] on filtering, [RFC7258] and [RFC7624] on pervasive surveillance, [RFC7288] on host firewalls, and [RFC6973] regarding privacy considerations.

There is a contradiction in saying that the IETF has to take steps to involve more stakeholders than in the past, and yet say that things developed in the past without these stakeholders are already there and should constrain the result of future discussions. It is exactly the opposite - the IETF should have a broader discussion with non-technical stakeholders around these guidelines and see whether they really meet the needs of non-technical stakeholders.

Also something that the IETF seems to be really bad at is revising its past consensus when circumstances change - it often happens that you point out a current issue and you are told "yes but this document from 15 years ago says it's not important so shut up" (I can tell you, this is very frustrating for new participants). End-users are very volatile in their opinions and requests, as public debates often show. Part of the work that needs to be done is to understand how to evolve past policy positions to meet new requests as new stakeholders join the debate and as the situation evolves.

In the end, I see the merits of a statement in favour of individual end-users, as I have been one of the main advocates for their recognition in Internet governance venues for a long time. At the same time, this document seems to redefine multistakeholderism from "let's listen to all stakeholders and build consensus" (which, by the way, was entirely inspired by the IETF's rough consensus approach) to "let's prioritize one stakeholder over the others, and then let's see who can speak for it". This is an untested conceptual approach which is much more prone to capture or allegations thereof, and will raise eyebrows elsewhere in policy circles.

However, the actionable recommendations in this document seem to be "make proactive efforts to involve more stakeholders" and "think in terms of end-user and social impact and document your thinking", and these are very reasonable, so perhaps the document could just focus on them.

(I am wondering if I should propose text for some of the above observations, but I am not an IAB member so I do not know whether this would be appropriate.)

--

Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked]
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Rene Struik <[email-masked]>
Date: Thu, 6 Feb 2020 09:23:23 -0500

Dear colleagues:

Lots of points Vittorio Bertola made below resonate with me.

The presentation on the "Next Generation Internet" at CFRG [1] at the 
March 2019 meeting has useful pointers to "what the internet should be" 
vs. "what it has become". Another useful read is the "Weapons of Math 
Destruction" book [2]. Perhaps, one should indeed redesign the Internet 
from scratch to have a chance of benefiting the end-user (as defined by 
Vittorio), rather than entities where the user's data or mind control is 
the product.

Rene

Ref:
[1] 
https://datatracker.ietf.org/doc/slides-104-cfrg-next-generation-internet-open-calls/
[2] https://weaponsofmathdestructionbook.com/

On 2/6/2020 6:04 AM, Vittorio Bertola wrote:
> I'm starting from this because this is one of the comments which I 
> have been making since -00, which was openly including commercial 
> corporations as "end users". Definitions are really important when you 
> adopt policy guidelines like this one, so it must be 101% clear that 
> "end users" only includes individual human beings (though, as 
> correctly said in the document, they can be connected to the Internet 
> indirectly or represented by a piece of hardware or software).
>
> (By the way - almost 20 years ago, when I was writing a presentation 
> for ICANN's At Large Advisory Committee, my native spellchecker Avri 
> Doria suggested that I should always hyphenate "end-user", because my 
> title "End user involvement in ICANN" could otherwise be interpreted 
> in a completely different way :-) I think this is still a valid 
> suggestion.)
>
> This is also why, in 3., the sentence "along with groups of them 
> forming businesses, governments, clubs, civil society organizations, 
> and other institutions" is problematic: what do you want to say here? 
> If it is just that human beings form organizations, that's obvious; 
> but if you say that all these entities are also end-users, this makes 
> the document mostly useless, as in the end every stakeholder would be 
> an end-user. This is why in general purpose policy systems, e.g. 
> general elections, only individuals vote, and do so as individuals - 
> their associations participate in other ways (i.e. specialized 
> consultations, funding, lobbying etc.).
>
> A similar problematic term is "social good", used several times. The 
> document seems to assume that "social good" is something that exists 
> and can be defined uniquely - however, all modern Western governance 
> systems are based on the assumption that there is not a single 
> definition of "social good" agreed by everyone. The problem is not how 
> to assess what the "social good" is in a given situation, but to 
> balance multiple conflicting visions of what the "social good" would be.
>
> There are other visions; for example, the Chinese government is 
> defining what actions are socially good or bad and giving scores to 
> people (see https://en.wikipedia.org/wiki/Social_Credit_System ). This 
> is an attempt to define "social good" in a generally agreed, unique 
> and objective way, and to make sure that people act "for the social 
> good", but while this approach is culturally fit for collectivist 
> societies like the Far Eastern ones, in individualist societies like 
> the Western ones it horrifies people.
>
> So while the ambition of "doing the right thing" is of course much 
> welcome, perhaps this point needs to be nuanced, recognizing that 
> often there will be different visions of what is "socially good" for 
> the end-users, and mediation will be more useful than spending months 
> arguing against each other on what really constitutes the social good.
>
>     Government representatives sometimes participate in the IETF
>     community. While this is welcome, it should not be taken as
>     automatically representative of end users elsewhere, or even all
>     end users in the relevant jurisdiction. Furthermore, what is
>     desirable in one jurisdiction (or at least to its administrators)
>     might be detrimental in others (see Section 4.4).
>
>     While some civil society organisations specialise in technology
>     and Internet policy, they typically do not have the capacity to
>     participate broadly, nor are they necessarily representative of
>     the larger Internet community. Nevertheless, their understanding
>     of end user needs is often profound, and they are in many ways the
>     most representative advocates for end user concerns; they should
>     be considered a primary channel for engaging the broader Internet
>     community.
>
>     A promising approach to help fill these gaps is to identify and
>     engage with specifically affected communities; for example, one or
>     more industry associations, user groups, or a set of individuals,
>     though we can't of course formally ensure that they are
>     appropriately representative.
>
>
> You are welcome to say that governments should not be the only ones to 
> decide - indeed, that is the result of 20 years of conceptualization 
> around multistakeholderism. However, we have now moved into the 
> "digital sovereignty" age and many, outside of the US and China, are 
> encouraging their governments to step back in and defend the rights of 
> their citizens against the increasing centralization, 
> commercialization and "surveillance-ization" of the Internet, and 
> against its use as a global trade war instrument. Anything the IAB 
> says on this will be taken as a position in this geopolitical debate.
>
> In this context, the repeated use of the word "representative" 
> throughout the section is highly problematic, as representing people 
> is the government's job, not civil society's job, and even 
> multistakeholderism does not say that the roles have to be mixed or 
> changed, only that multiple stakeholders should participate in the 
> debate and that the debate should aim to promote rough consensus among 
> stakeholders so that they voluntarily implement it in their respective 
> roles. But no one ever challenged the fact that governments are 
> representative or that they have the last word when it comes to law 
> and public policy, much like corporations have the last word when it 
> comes to their actions and so on.
>
> So the IAB should just align with the existing framework and say the 
> same thing (i.e., we must listen to all stakeholders and not only 
> governments) without challenging the role of governments and without 
> ranking which stakeholder is more important (so no "primary channel" 
> please).
>
> Similarly, again (it must be the third time I say this), the "web 
> browsers" paragraph in 4.2 is undemonstrated and inappropriate.
>
>     For example, one of the most successful Internet applications is
>     the Web. One of its key implementation roles is that of the Web
>     browser - called the User Agent in [RFC7230] and other
>     specifications. Because there are multiple interoperable
>     implementations, users can switch with relatively low costs, and
>     as a result there is a natural tendency to more carefully consider
>     the user's needs as an agent. This leads to Web browsers'
>     interests being better aligned with those of their users, creating
>     an ecosystem that is more user-focused (even if there are serious
>     challenges in it regarding the balance of power between
>     implementations and the barrier to entry for new implementations).
>
> It is the legitimate perception of the author that web browser makers 
> represent user interests well, but it is not that of many others, and 
> I do not know of any objective analysis or data around this statement 
> (nor one is provided in the text). Many would rather say that browsers 
> are one of the applications where users have less choice and less 
> controlling power, since you can switch between different 
> implementations but there are very few of them and all are very 
> similar. You have much more choice and variety in terms of email 
> clients, but does this really mean that email client makers are great 
> at representing the users?
>
> So this paragraph sounds to me like gratuitous flattering of a part of 
> the IETF community, and implicitly also gratuitous disapproval towards 
> other parts of the IETF community that in the author's opinion have 
> not been as good as browsers towards the users.
>
> If the point is that open interoperable standards (and open source 
> implementations, I'd add) are in favour of users, let's make that one, 
> though a mention of the phenomenon of open standards being used to 
> implement walled gardens would also make sense, to note that open 
> standards alone are not enough. But let's not single out anyone.
>
>     The IAB and IETF have already established a body of guidance for
>     situations where this sort of conflict is common, including (but
>     not limited to) [RFC7754] on filtering, [RFC7258] and [RFC7624] on
>     pervasive surveillance, [RFC7288] on host firewalls, and [RFC6973]
>     regarding privacy considerations.
>
>
> There is a contradiction in saying that the IETF has to take steps to 
> involve more stakeholders than in the past, and yet say that things 
> developed in the past without these stakeholders are already there and 
> should constrain the result of future discussions. It is exactly the 
> opposite - the IETF should have a broader discussion with 
> non-technical stakeholders around these guidelines and see whether 
> they really meet the needs of non-technical stakeholders.
>
> Also something that the IETF seems to be really bad at is revising its 
> past consensus when circumstances change - it often happens that you 
> point out a current issue and you are told "yes but this document from 
> 15 years ago says it's not important so shut up" (I can tell you, this 
> is very frustrating for new participants). End-users are very volatile 
> in their opinions and requests, as public debates often show. Part of 
> the work that needs to be done is to understand how to evolve past 
> policy positions to meet new requests as new stakeholders join the 
> debate and as the situation evolves.
>
> In the end, I see the merits of a statement in favour of individual 
> end-users, as I have been one of the main advocates for their 
> recognition in Internet governance venues for a long time. At the same 
> time, this document seems to redefine multistakeholderism from "let's 
> listen to all stakeholders and build consensus" (which, by the way, 
> was entirely inspired by the IETF's rough consensus approach) to 
> "let's prioritize one stakeholder over the others, and then let's see 
> who can speak for it". This is an untested conceptual approach which 
> is much more prone to capture or allegations thereof, and will raise 
> eyebrows elsewhere in policy circles.
>
> However, the actionable recommendations in this document seem to be 
> "make proactive efforts to involve more stakeholders" and "think in 
> terms of end-user and social impact and document your thinking", and 
> these are very reasonable, so perhaps the document could just focus on 
> them.
>
> (I am wondering if I should propose text for some of the above 
> observations, but I am not an IAB member so I do not know whether this 
> would be appropriate.)
>
> -- 
>
> [email-masked]  <mailto:[email-masked]>  

-- 
email: [email-masked] | Skype: rstruik
cell: +1 (647) 867-5658 | US: +1 (415) 287-3867

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 06 Feb 2020 15:28:31 +0100

Hi Joel,

On Thu, Feb 6, 2020, at 01:24, Joel M. Halpern wrote:
> precedence over everything else seems to be incorrect.

Are you suggesting that it is incorrect in that it is not a provable statement in a mathematical sense and more a value judgment?

>From my perspective, that value judgment is right (in the moral sense) and that we should be saying this.  Having the IAB say this is also important, though I would of course be happier if the IETF said the same.  This statement is consistent with similar statements from the IETF (as referenced, RFC 3935), and other organizations (see for example the W3C position <https://www.w3.org/TR/html-design-principles/#priority-of-constituencies>).

As a letter to the IETF, I hope that it has weight, but it does not set out to have any sort of normative force.  Choosing a different basis from which to design a protocol would not automatically disqualify it from consideration for publication on the IETF stream, though I hope that people would be motivated to ask pointed questions or contest something that, for instance, might favour operations to the detriment of individual interests.  Arguably, we already do that; see RFCs 7871 and 7974 for published cases of where that happened with different results.

You cite some examples that seem to imply that you think that this general assertion is wrong in general, namely connected "stuff" and people who operate the network (though not those who build and design it, curiously).  Both of those concerns are addressed in the draft.  To sharpen those points: network operations exist to serve the network, which exists to serve the users of that network; devices exist to serve a range of use cases, which generally ultimately have users also.  Draw a longer chain and the value to people becomes more diffuse and abstract; see also <https://en.wikipedia.org/wiki/Trickle-down_economics>.  But the draft also recognizes the potential for instances where the balance of interests might end up favouring other entities.

I do see this as a partial refutation of the tussle theory, to Bernard's point, but I don't see a need to address that more directly.

It's true that we cannot always predict the effect of our choices, but it seems to me that there is a prevailing attitude that says we MUST NOT consider things like social implications.  That to me is where we go wrong.  Good engineering considers all the requirements, not just the convenient ones.

Cheers,
Martin

---

From: Joel Halpern Direct <[email-masked]>
Date: Thu, 6 Feb 2020 09:47:31 -0500

Yes, put simply, I think that declaring that the user's interest takes 
precedence over everything else is wrong.  You or the IAB as a whole are 
of course free to come to different conclusions, but I think it is 
actually very helpful to view it as a tussle with a veriety of itnerests 
that need to be respected.

If the IAB really wants to say that they think the tussle is over, I 
would expect to see the names of approving IAB members at the end of the 
document when this is done.  If, on the other hand the IAB considers 
this a useful perspective but not necessarily one they all agree with, 
then I would expect that to be clearly stated.

Personally, if the IAB takes the stance that this is a done deal, and 
the tussle is over, that will decrease the likelihood of my bothering to 
pay attention to the specifics (to the extent they exist) in the 
document.  Your choice.

Yours,
Joel

---

From: Jared Mauch <[email-masked]>
Date: Thu, 6 Feb 2020 09:50:12 -0500

> On Feb 6, 2020, at 9:47 AM, Joel Halpern Direct <[email-masked]> wrote:
> 
> Yes, put simply, I think that declaring that the user's interest takes precedence over everything else is wrong.  You or the IAB as a whole are of course free to come to different conclusions, but I think it is actually very helpful to view it as a tussle with a veriety of itnerests that need to be respected.

I would agree with your assertion that the internet is a multiple stakeholder environment.  Saying something is for the end-users when it’s a technology that is used by many people to build both public and private networks (which) could be a bold statement for those of us who operate large (private) networks.

- Jared

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 6 Feb 2020 15:04:23 +0000

The second paragraph of section 4.2 is fatally flawed.  I raised this as an issue on GitHub weeks ago.

	"This leads to Web browsers' interest being better align with those of their user

Baloney.  For some, maybe. But to give all of them coverage as an official IETF document?  No way.

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 06 Feb 2020 16:06:25 +0100

On Thu, Feb 6, 2020, at 15:47, Joel Halpern Direct wrote:
> precedence over everything else is wrong.

This statement implies that the draft is somewhat more absolutist than it is.  This recognizes the equities of over stakeholders and expresses an intent to *bias* toward end-user interests over those of others.  That doesn't invalidate the tussle, it just places a thumb on the scale; something Dave Clark suggested in his recent plenary talk (apologies for the appeal to authority there).

I infer from this that you also object to that notion also.  If so, then maybe we will just have to agree to disagree.

---

From: Joel Halpern Direct <[email-masked]>
Date: Thu, 6 Feb 2020 10:11:58 -0500

I do not object to a bias towards the user.  I would probably even agree 
with an assertion that the IETF in its designs has tended to place 
insufficient weight on the interests of the end users.
If that is your intent, you need to make significant adjustments in the 
wording.  Personally, I expect that would result in a better and more 
useful document.

Yours,
Joel

---

From: S Moonesamy <[email-masked]>
Date: Thu, 06 Feb 2020 07:23:54 -0800

Hi Stephen, Martin,
>draft-iab-for-the-users-02.

This is the second request for comments issued by the Internet 
Architecture Board on a document which is intended to be a request 
for comments.  The first question could be whether there is any 
rationality in that.

Martin commented about predicting the effect of our choices.  How can 
the Internet Architecture Board provide long-range technical 
direction for Internet development if it cannot assess the potential 
consequences of its choices?

Regards,
S. Moonesamy

---

From: Eliot Lear <[email-masked]>
Date: Thu, 6 Feb 2020 20:06:37 +0100

At this point I find myself reasonably satisfied with where the document is going, and it has come a long way.  I like the broad description of users, and I think that’s quite appropriate.

I would only ask that the IAB do one more thing, which would be to take the opportunity to highlight cases where the advice would be actionable.  That has the added benefit of maybe identifying different user groups who should be brought into a conversation, a role to which the board should be well suited.

Eliot

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 7 Feb 2020 14:13:49 +1300

The Abstract makes it clear that this is an opinion piece:

> This document explains why the IAB believes ...

I think the document needs to state more clearly that it isn't prescriptive,
but is just the (current) IAB's opinion. This is subtle, but for example:

>    Beyond fulfilling the IETF's mission, prioritising end users also
>    helps to ensure the long-term health of the Internet and the IETF's
>    relevance to it.

would be better slightly rephrased as

   Beyond fulfilling the IETF's mission, prioritising end users would also
   help to ensure the long-term health of the Internet and the IETF's
   relevance to it.

and so on, wherever prescriptive language is used.

> 2.  What Are "End Users"?

I don't like the unconditional "non-technical". Some users are very technical,
they're just not protocol experts. Some are highly educated, some are not.
Some may not even know they are Internet users, because they're just using
an app on their phone, or in the surveillance state they are just walking
past a camera.

>    Merely advancing the measurable success of the Internet (e.g.,
>    deployment size, bandwidth, latency, number of users) is not an
>    adequate goal; doing so ignores how technology is so often used as a
>    lever to assert power over users, rather than empower them.

I think that gets us into murky waters. Surely we aren't going to make
judgment calls in this area? Which of POP3 and IMAP allows more power
over users?

> 4.1.  Engaging the Internet Community...
>    Therefore, we have not only a responsibility to analyse and consider
>    the impacts of the IETF's work, but also a responsibility to consult
>    with that greater Internet community.  We should enter into a
>    dialogue about not only the technical concerns that are well-
>    represented in the IETF but also the political, social and economic
>    concerns that it engenders, and that are better represented
>    elsewhere.

I think the second sentence is a highly debatable assertion. Apart from
anything else, I thought it was the ISOC's job, in the accepted division
of labour according to BCP11.: https://tools.ietf.org/html/rfc2028#section-3.4
But equally important, I think we have good reason to believe that the
people who typically participate in the IETF are not the right sort of
people to engage usefully in dialogue about "political, social and economic
concerns". I think we will only burn our fingers.

I don't mean that the dialogue is unimportant. But I strongly believe that
we (the active participants in the IETF) are not the right people for the
job. This work should IMNSHO be left to ISOC.

A little bit later we find:

>    While some civil society organisations specialise in technology and
>    Internet policy, they typically do not have the capacity to
>    participate broadly, nor are they necessarily representative of the
>    larger Internet community.

Indeed. Except for ISOC.

I find this whole section "4.1.  Engaging the Internet Community" off track.
Instead, I believe it should recommend improved IETF engagement *with ISOC*,
with the objective of helping ISOC do this part of its job even better,
and giving the IETF substantive feedback as a result.

...
>    This leads to Web browsers' interests being better aligned with those
>    of their users, 

Really? In my experience browsers have become increasingly aligned with the
interests of advertisers. In any case, it's not much of an example since
the IETF doesn't control much of anything in browser space these days.

Regards
   Brian Carpenter

---

From: Eliot Lear <[email-masked]>
Date: Fri, 7 Feb 2020 10:01:31 +0100

Hi Brian,

> On 7 Feb 2020, at 02:13, Brian E Carpenter <[email-masked]> wrote:
> 
> of labour according to BCP11.: https://tools.ietf.org/html/rfc2028#section-3.4 <https://tools.ietf.org/html/rfc2028#section-3.4>

While that may be true, the IETF cannot just stuff this stuff off to the ISOC.  If work being taken on has societal consequences, the IETF should be aware of them, and better to have the impacted people represent their concerns themselves through direct participation in IETF processes, rather than ISOC attempting to proxy for them.

Eliot

---

From: Vittorio Bertola <[email-masked]>
Date: Fri, 7 Feb 2020 11:21:47 +0100 (CET)

> Il 07/02/2020 02:13 Brian E Carpenter <[email-masked]> ha scritto:
> 

While parsing your comment, it occurred to me that perhaps we are thinking at two different definitions of "the Internet Community" (as used, but not defined, in the document). I understood "the Internet community" to include any individual that uses the Internet, i.e. several billion people. But perhaps you are thinking only of the technical community?

Otherwise, even in specialised Internet policy venues such as the IGF, you will find very few non-technical individuals and organizations that feel represented by ISOC. It is usually considered as an organization strictly for the Internet industry, an old engineers club focused on the promotion of those specific views and interests. In a way, the IETF speaking with ISOC would be perceived like the IETF speaking with itself.

(Actually, thinking at it, the outrage sparked among many NGOs by ISOC's actions on dot org is good evidence that the two sets of interests are at odds.)

--

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 7 Feb 2020 16:54:06 +0100

Hi Joel,

Just my personal .02 -- I think there are some adjustments we can make to parts of the document -- in particular, the abstract -- to avoid the impression that it's a declaration of the tussle being over. That having been said, I very much agree with Martin's characterisation here regarding "thumbs on scales". 

Cheers,

> On 6 Feb 2020, at 4:11 pm, Joel Halpern Direct <[email-masked]> wrote:
> 
> I do not object to a bias towards the user.  I would probably even agree with an assertion that the IETF in its designs has tended to place insufficient weight on the interests of the end users.
> If that is your intent, you need to make significant adjustments in the wording.  Personally, I expect that would result in a better and more useful document.
> 
> Yours,
> Joel
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 8 Feb 2020 08:34:54 +1300

Hi Vittorio,
> While parsing your comment, it occurred to me that perhaps we are thinking at two different definitions of "the Internet Community" (as used, but not defined, in the document). I understood "the In…

Well, as Christian Huitema pointed out in a different context (RFC Editor discussion), the notion of the technical community has very fuzzy boundaries. However, I was indeed thinking of the wider community, not the technical community. Holding a dialogue with the wider community is immensely difficult, and we've known that for 25 years. I'll come back to that in a moment when I reply to Eliot.
 
> Otherwise, even in specialised Internet policy venues such as the IGF, you will find very few non-technical individuals and organizations that feel represented by ISOC. It is usually considered as…

I think that's a profound misunderstanding of ISOC, but it illustrates *exactly* why the IETF would do an even worse job of talking to 8 billion people than ISOC does. I have no concept at all of what the IETF could do to even attempt such a dialogue. If after 28 years the ISOC hasn't found out how to do it, we certainly can't.
 
> (Actually, thinking at it, the outrage sparked among many NGOs by ISOC's actions on dot org is good evidence that the two sets of interests are at odds.)

The big problem is the profound differences of understanding. I won't say more since that would send us wildly off topic.

Regards
    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 8 Feb 2020 08:51:24 +1300

Hi Eliot,

On 07-Feb-20 22:01, Eliot Lear wrote:
> Hi Brian,
> 
>> On 7 Feb 2020, at 02:13, Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
>>

The IETF being open to all, yes, of course direct participation is available and welcome. But that doesn't mean that the IETF can itself engage with civil society, lobbying groups, special interest groups, governments, and whatever, which the draft seems to suggest:

>    with that greater Internet community. 

That ("consult with that greater Internet community") seems infeasible.

>    We should enter into a

That is very obscurely phrased. Does it mean that in addition to our existing channel of communication with ISOC, we should have channels of communication with other organisations? If so, which ones, and who is the arbiter when they disagree? When the EFF says one thing, and the IAB (I mean iab.com) says another thing, who do we listen to?

I just don't find this section of the draft realistic at all.

Note, I am not saying that the "political, social and economic concerns" don't matter. They do matter. I'm just not seeing the mechanism for taking them into account.

Regards
    Brian

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Sat, 8 Feb 2020 21:45:27 +0700

Section 4.1 Engaging the Internet Community of the IAB draft on "User"
which is especially in relation with IETF"s Internet Standad Process and
other key organizations involved:

"... to consult with that greater Internet community.  We should enter into a
   dialogue about not only the technical concerns that are well-
   represented in the IETF but also the political, social and economic
   concerns that it engenders, and that are better represented
   elsewhere.

...".

The paragraph above represents what is worked on by "2019 ISOC GIR --
Consolidation in the Internet Economy" which is about programming for users
a way how to see the Internet's meanings and values:

"... we identify the important properties that make the Internet such a
powerful platform and describe what this means for the users of the
Internet. This framework will help to guide us in considering the questions
of consolidation in the Internet economy.

* Fundamental properties of the Internet
(: Internet Invariants – what really matters about the Internet3): 1.
global reach and integrity, 2. general purpose, 3. supports innovation
without requiring permission, 4. accesible, 5. based on interoperability
and mutual agreement, 6. collaboration, 7. technology, reusable building
blocks, 8. no permanent favourits

"The Internet Society believes that the Internet based on these invariants
empowers users with certain abilities. These abilities stem from the
invariants and underpin the social and economic value that the Internet
provides to people. As we look to the future, these abilities must remain
at the heart of the Internet experience for everyone, everywhere:.

They are the abilities to connect, to speak, to innovate, to share, to
choose, to trust.

"* The Internet in society
The Internet Invariants provide a guide to what really matters about the
Internet in terms of its architecture and technological properties. The
abilities highlight the different ways in which the Internet affects human
societies and supports us in understanding why people care so much about
this technological artefact that is much more than the sum of its parts.
Both notions will help guide us as we consider the issues of consolidation
in the Internet economy".

(4. How We See the Internet, pp. 12-14)

Those are in accordance with what are mentioned in RFC 2026 which is
especially about the ISOC having important role in "Internet Standard
Process" together with other organizations involved in in the Internet
standard process mentioned in RFC 2028 (IETF, IETF WG, IETF Sec, ISOC, IAB,
IESG, IANA, IRTF)

"...The Internet Standards process is an activity of the Internet Society
that is organized and managed on behalf of the Internet community by the
Internet Architecture Board (IAB) and the Internet Engineering Steering
Group (IESG)".

(RFC 2026 -- Internet Standard Process
sec. 1. Introduction p. 3)

https://www.ietf.org/rfc/rfc2026.txt

"The Internet Society (ISOC) is an international organization concerned
with the growth and evolution of the worldwide Internet and with the
social, political, and technical issues that arise from its use...

Internet standardization is an organized activity of the ISOC, with the
Board of Trustees being responsible for ratifying the procedures and rules
of the Internet standards process [B]".

(RFC 2028 sec. 3 "Key organization involved in the process" p. 4)

https://tools.ietf.org/html/rfc2028#section-3.4

Regard,
Guntur Wiseno Putra

Pada Sabtu, 08 Februari 2020, Brian E Carpenter <[email-masked]>
menulis:

> >> On 7 Feb 2020, at 02:13, Brian E Carpenter <[email-masked]
> <mailto:[email-masked]>> wrote:
> >>
> > While that may be true, the IETF cannot just stuff this stuff off to the
> ISOC.  If work being taken on has societal consequences, the IETF should be
> aware of them, and better to have the impacted people represent their
> concerns themselves through direct participation in IETF processes, rather
> than ISOC attempting to proxy for them.
>
> The IETF being open to all, yes, of course direct participation is
> available and welcome. But that doesn't mean that the IETF can itself
> engage with civil society, lobbying groups, special interest groups,
> governments, and whatever, which the draft seems to suggest:
>
> That is very obscurely phrased. Does it mean that in addition to our
> existing channel of communication with ISOC, we should have channels of
> communication with other organisations? If so, which ones, and who is the
> arbiter when they disagree? When the EFF says one thing, and the IAB (I
> mean iab.com) says another thing, who do we listen to?
>
> Note, I am not saying that the "political, social and economic concerns"
> don't matter. They do matter. I'm just not seeing the mechanism for taking
> them into account.
>
> Regards
>     Brian
>
>